Subject: Re: [PATCH] arm64: dts: update SolidRun Armada 8040 phy interface types

From: Russell King - ARM Linux admin <[email-masked]>
Date: Fri, 27 Mar 2020 13:50:46 +0000

On Fri, Mar 27, 2020 at 01:46:52PM +0000, Russell King - ARM Linux admin wrote:
> On Fri, Mar 27, 2020 at 02:43:19PM +0100, Andrew Lunn wrote:
> > On Fri, Mar 27, 2020 at 12:40:42PM +0000, Russell King wrote:
> > > Update the SolidRun Armada 8040 platforms phy interface types from the
> > > old 10gbase-kr to the newer and more correct 10gbase-r.
> > > 
> > > Signed-off-by: Russell King <[email-masked]>
> > 
> > Reviewed-by: Andrew Lunn <[email-masked]>
> > 
> > Can we add a fixes: tag to this? So it gets backported to the point
> > 10gbase-r was added.
> 
> I think "carefully" is the answer.  It's not just the point where
> 10gbase-r was added because there's a whole bunch of other patches
> that are also required to the various ethernet and PHY drivers, SFP
> and phylink.  It's probably going to take a bit to work that out,
> get it wrong and stuff will break.

... and actually there is no point.  It is _way_ too soon to even
start thinking of using 10GKR for its true purpose - the patches
to add 10GBASER were only merged for v5.6-rc1, so we're still waiting
for a kernel with that update to be released.  In other words, there's
no stable kernels to backport it to yet.

Do we want it to go into -rc?  If so, it also needs to be thoroughly
tested.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel